dee

Sync problems when restarting Unity place daemons

Bug #721289 reported by Mikkel Kamstrup Erlandsen on 2011-02-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Mikkel Kamstrup Erlandsen
dee
High
Mikkel Kamstrup Erlandsen
unity-lens-applications
High
Mikkel Kamstrup Erlandsen
unity-lens-files
High
Mikkel Kamstrup Erlandsen
dee (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
unity-place-applications (Ubuntu)
Undecided
Unassigned
unity-place-files (Ubuntu)
Undecided
Unassigned

Bug Description

When any of the Unity place daemons are restarted you'll see something like:

-----------
$ src/unity-applications-daemon
(process:2494): unity-applications-daemon-DEBUG: daemon.vala:346: Building initial application menu
(process:2494): unity-applications-daemon-DEBUG: daemon.vala:367: Indexing application menu
(process:2494): libunity-DEBUG: unity-place.vala:772: No browser to export

(process:2494): dee-CRITICAL **: clone_leader: assertion `self->priv->revision_queue == NULL' failed

(process:2494): dee-CRITICAL **: clone_leader: assertion `dee_model_get_n_rows (DEE_MODEL (self)) == 0' failed

(process:2494): dee-WARNING **: Transaction from com.canonical.Unity.ApplicationsPlace.ResultsModel is in the future. Ignoring transaction.

(process:2494): dee-WARNING **: Transaction from com.canonical.Unity.ApplicationsPlace.SectionsModel is in the past. Ignoring transaction.

(process:2494): dee-WARNING **: Transaction from com.canonical.Unity.ApplicationsPlace.GroupsModel is in the past. Ignoring transaction.
---------

and the shared models will fail to sync properly. There are two issues at play here:

1) DeeSharedModel doesn't accept seqnum > 0 for its first Commit, which it should
  - This obviously needs to be fixed in Dee

2) Architecture problem between place daemons and unity shell - the shell should not hold a writable model. Can be fixed by one these measures:
  2.1) Make sure the place daemons only start updating their models *after* they've received the "notify::synchronized" GObject signal from the models.
  2.2) Implement a read-only DBus model that doesn't own the swarm name. See bug #675565

Changed in dee:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
status: New → Triaged
Changed in unity:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
milestone: none → 3.4.6
status: New → Triaged
Didier Roche (didrocks) on 2011-02-21
Changed in dee (Ubuntu):
status: New → Triaged
Changed in dee:
status: Triaged → Fix Committed
Changed in unity-place-files:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
status: New → Fix Committed
Changed in unity-place-applications:
assignee: nobody → Mikkel Kamstrup Erlandsen (kamstrup)
importance: Undecided → High
status: New → Triaged
Changed in unity:
status: Triaged → In Progress
Changed in dee:
milestone: none → 0.5.10
Changed in unity-place-applications:
status: Triaged → Fix Committed
Changed in unity-place-files:
milestone: none → 0.5.38
status: Fix Committed → Fix Released
Changed in unity-place-applications:
milestone: none → 0.2.34
status: Fix Committed → Fix Released
Changed in dee:
status: Fix Committed → Fix Released
Changed in unity:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dee - 0.5.10-0ubuntu1

---------------
dee (0.5.10-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Sync problems when restarting Unity place daemons (LP: #721289)
    - libunity support gobject-introspected languages (LP: #709240)
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:07:48 +0100

Changed in dee (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-applications - 0.2.34-0ubuntu1

---------------
unity-place-applications (0.2.34-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash - search string not always taken into account (LP: #701569)
    - Sync problems when restarting Unity place daemons (LP: #721289)
    - Super-shortcuts for apps, files, and workspace switcher (LP: #617356)
    - Place icons should be in their respective packages (LP: #672447)
  * debian/control:
    - bump release req.
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:11:50 +0100

Changed in unity-place-applications (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-files - 0.5.38-0ubuntu1

---------------
unity-place-files (0.5.38-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash - search string not always taken into account (LP: #701569)
    - Sync problems when restarting Unity place daemons (LP: #721289)
    - Super-shortcuts for apps, files, and workspace switcher (LP: #617356)
    - Place icons should be in their respective packages (LP: #672447)
  * update build-deps
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:12:32 +0100

Changed in unity-place-files (Ubuntu):
status: New → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers